Package com.logicaldoc.core

# Class LastModifiedInterceptor

java.lang.Object
com.logicaldoc.core.LastModifiedInterceptor

All Implemented Interfaces:
  `org.hibernate.Interceptor`

public class LastModifiedInterceptor extends Object implements org.hibernate.Interceptor
An `Interceptor` that takes care about updating the last modified date of a persistence object

Since:
  6.9
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`LastModifiedInterceptor()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`onFlushDirty(Object entity, Serializable id, Object[] currentState, Object[] previousState, String[] propertyNames, org.hibernate.type.Type[] types)`
`boolean`
`onSave(Object entity, Serializable id, Object[] currentState, String[] propertyNames, org.hibernate.type.Type[] types)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.hibernate.Interceptor

`afterTransactionBegin, afterTransactionCompletion, beforeTransactionCompletion, findDirty, findDirty, getEntity, getEntity, getEntityName, instantiate, instantiate, isTransient, onCollectionRecreate, onCollectionRecreate, onCollectionRemove, onCollectionRemove, onCollectionUpdate, onCollectionUpdate, onDelete, onDelete, onDelete, onFlushDirty, onInsert, onLoad, onLoad, onPersist, onRemove, onSave, onUpdate, onUpsert, postFlush, preFlush`

## Constructor Details

### LastModifiedInterceptor

public LastModifiedInterceptor()

## Method Details

### onFlushDirty

public boolean onFlushDirty(Object entity, Serializable id, Object[] currentState, Object[] previousState, String[] propertyNames, org.hibernate.type.Type[] types)

Specified by:
  `onFlushDirty` in interface `org.hibernate.Interceptor`

### onSave

public boolean onSave(Object entity, Serializable id, Object[] currentState, String[] propertyNames, org.hibernate.type.Type[] types)

Specified by:
  `onSave` in interface `org.hibernate.Interceptor`